Updating storage repositories to 1.0.1



  • Hi men,
    first of all thanks to all fog developer team for this excellent job. It’s been a long time since last update, but I’m sure it is worth.
    We are anxious to upgrade to 1.0.1 but we have one central fog installation with 3 storage repositories servers, and we are not sure about the upgrade path. We think we must start with the central server and upgrade storage servers later.
    Could you give some light about this to us?
    Thanks in advance.

    Frank



  • Thanks a lot Tom, that solved the issues. Great!.
    Excuse me if it was so obvious to ask it here.
    Now it’s time to test this brand new fog version.

    Best regards.

    Frank
    UPC - Barcelona


  • Senior Developer

    @Frank, post: 28016, member: 691 said:

    Hi again,
    so I have upgraded central an storage fog servers to 1.0.1, but something is wrong with storage repositories.

    • From initial dashboard console if I try to select disk information about a storage server I get a “failed to connect to” Error
    • Storage servers can not start FOG* daemons. If I try to start one manually I get this error: "PHP Warning: mysql_query() expects parameter 2 to be resource, boolean given in /var/www/fog/lib/db/MySQL.class.php on line 95
      PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /var/www/fog/lib/db/MySQL.class.php on line 156

    I have double-check storage passwords and they seem ok.

    What else can it be?
    Please help!!
    Frnk

    The Storage Passwords in the FOG Server’s Storage Management page should be set to the fog user on the linux account of the storage nodes.

    So if your password to login as fog user on the storage node within linux is password,
    Your Main FOG Server’s storage user and password should be: fog and password respectively.

    On the Storage Node, the /var/www/{FOGWEBDIR}/commons/config.php file for database information should reflect that of the Main FOG Server:

    The lines:
    DATABASE_HOST: <IP OF MAIN FOG SERVER or IP of FOG Database Server>
    DATABASE_USERNAME: fogstorage
    DATABASE_PASSWORD: <FOGSTORAGE PASSWORD FROM FOG Configuration->FOG Settings->FOG Storage Nodes->FOG_STORAGENODE_MYSQLPASS>



  • Hi again,
    so I have upgraded central an storage fog servers to 1.0.1, but something is wrong with storage repositories.

    • From initial dashboard console if I try to select disk information about a storage server I get a “failed to connect to” Error
    • Storage servers can not start FOG* daemons. If I try to start one manually I get this error: "PHP Warning: mysql_query() expects parameter 2 to be resource, boolean given in /var/www/fog/lib/db/MySQL.class.php on line 95
      PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /var/www/fog/lib/db/MySQL.class.php on line 156

    I have double-check storage passwords and they seem ok.
    What else can it be?
    Please help!!
    Frnk


  • Moderator

    I would follow the upgrade wiki article for the software its self, but yes, I would upgrade the central server first, then each ‘storage node’ server. It shouldn’t really impact anything, but best to have the controller knowing of the new features before the nodes.


Log in to reply
 

872
Online

38920
Users

10689
Topics

101411
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.